Subject: Re: bug#65039: [PATCH] Add bookmark handler for shell-mode

From: Ship Mints <[email-masked]>
Date: Sat, 15 Feb 2025 10:34:32 -0500

Would the below be correct, or are these options mutually exclusive in some
way? This commentary is intended for a docstring, not the manual, but the
footnotes for which will be similar and with xrefs:

Before creating ad-hoc multi-hop remote connections, customize either or
both:
`tramp-save-ad-hoc-proxies' to non-nil to persist proxy routes.
`tramp-show-ad-hoc-proxies' to non-nil to ensure connections are fully
 qualified.

On Sat, Feb 15, 2025 at 8:08 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> Hi,
>
> > Okay, so no objections to clarifying that users need to ensure they
> > bind tramp-show-ad-hoc-proxies to non-nil in advance of any multi-hop
> > connections? I can mention both, as succinctly as I can in the
> > footnote and docstring, and refer readers to the Tramp manual entries
> > in the shell bookmark manual?
>
> If I were you, I would mention both variants: using
> tramp-show-ad-hoc-proxies and tramp-save-ad-hoc-proxies. References to
> the Tramp manual shall be OK, because it is bundled with Emacs.
>
> Best regards, Michael.
>